# 📦 Discord Embed Editor Bot

Um modelo para Discord que permite editar embeds de mensagens de forma interativa utilizando **modais**, **botões** e **menus de seleção** da UI do Discord. Ideal para quem deseja personalizar mensagens de maneira rápida, visual e organizada.

## ✨ Funcionalidades

- 📑 Editar título, descrição, conteúdo e cor do embed.
- 🖼️ Definir ou alterar thumbnail, imagem principal e timestamp.
- 👣 Editar o footer (texto e imagem).
- ➕ Adicionar novos fields (campos) ao embed.
- ✏️ Editar campos existentes.
- 🗑️ Remover campos específicos.
- ✅ Confirmar e enviar embeds editados.
- ❌ Cancelar e excluir mensagens temporárias de edição.

## 📦 Tecnologias Utilizadas

- [Python 3.11+](https://www.python.org/)
- [discord.py 2.x](https://discordpy.readthedocs.io/en/stable/)
- Componentes interativos: `discord.ui.Modal`, `discord.ui.Button`, `discord.ui.Select`

## 🚀 Como usar

1. Clone o repositório:
   ```bash
   git clone https://github.com/LucaCunha001/DiscordEmbedModel.git
   cd DiscordEmbedModel.git